Package org.jacoco.agent.rt.internal

## Class PreMain

- java.lang.Object
- - org.jacoco.agent.rt.internal.PreMain

    public final class PreMain
    extends java.lang.Object

The agent which is referred as the `Premain-Class`. The agent configuration is provided with the agent parameters in the command line.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `premain​(java.lang.String options, java.lang.instrument.Instrumentation inst)` This method is called by the JVM to initialize Java agents.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### premain

    public static void premain​(java.lang.String options,
                               java.lang.instrument.Instrumentation inst)
                        throws java.lang.Exception

This method is called by the JVM to initialize Java agents.

Parameters:
  `options` - agent options
  `inst` - instrumentation callback provided by the JVM
Throws:
  `java.lang.Exception` - in case initialization fails